/*

TemplateMo 583 Festava Live

https://templatemo.com/tm-583-festava-live

*/


/*---------------------------------------
  CUSTOM PROPERTIES ( VARIABLES )             
-----------------------------------------*/
:root {
  --white-color:                  #ffffff;
  --primary-color:                #740938;
  --secondary-color:              #3B1C32;
  --section-bg-color:             #f0f8ff;
  --custom-btn-bg-color:          #3B1C32;
  --custom-btn-bg-hover-color:    #481E14;
  --dark-color:                   #000000;
  --p-color:                      #717275;
  --border-color:                 #7fffd4;
  --link-hover-color:             #481E14;

  --body-font-family:             'Outfit', sans-serif;

  --h1-font-size:                 74px;
  --h2-font-size:                 46px;
  --h3-font-size:                 32px;
  --h4-font-size:                 28px;
  --h5-font-size:                 24px;
  --h6-font-size:                 22px;
  --p-font-size:                  18px;
  --btn-font-size:                14px;
  --copyright-font-size:          16px;

  --border-radius-large:          100px;
  --border-radius-medium:         20px;
  --border-radius-small:          10px;

  --font-weight-light:            300;
  --font-weight-normal:           400;
  --font-weight-bold:             700;
}

body {
  background-color: var(--white-color);
  font-family: var(--body-font-family); 
}


/*---------------------------------------
  TYPOGRAPHY               
-----------------------------------------*/

h2,
h3,
h4,
h5,
h6 {
  color: var(--dark-color);
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: var(--font-weight-bold);
}

h1 {
  font-size: var(--h1-font-size);
}

h2 {
  font-size: var(--h2-font-size);
}

h3 {
  font-size: var(--h3-font-size);
}

h4 {
  font-size: var(--h4-font-size);
}

h5 {
  font-size: var(--h5-font-size);
}

h6 {
  font-size: var(--h6-font-size);
}

p {
  color: var(--p-color);
  font-size: var(--p-font-size);
  font-weight: var(--font-weight-light);
}

ul li {
  color: var(--p-color);
  font-size: var(--p-font-size);
  font-weight: var(--font-weight-light);
}

a, 
button {
  touch-action: manipulation;
  transition: all 0.3s;
}

a {
  display: inline-block;
  color: var(--primary-color);
  text-decoration: none;
}

a:hover {
  color: var(--link-hover-color);
}

b,
strong {
  font-weight: var(--font-weight-bold);
}

.link-fx-1 {
  color: var(--white-color);
  position: relative;
  display: inline-flex;
  align-items: center;
  height: 32px;
  padding: 0 6px;
  text-decoration: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.link-fx-1:hover {
  color: var(--link-hover-color);
}

.link-fx-1:hover::before {
  transform: translateX(17px) scaleX(0);
  transition: transform .2s;
}

.link-fx-1:hover .icon circle {
  stroke-dashoffset: 200;
  transition: stroke-dashoffset .2s .1s;
}

.link-fx-1:hover .icon line {
  transform: rotate(-180deg);
}

.link-fx-1:hover .icon line:last-child {
  transform: rotate(180deg);
}

.link-fx-1::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: currentColor;
  transform-origin: right center;
  transition: transform .2s .1s;
}

.link-fx-1 .icon {
  position: absolute;
  right: 0;
  bottom: 0;
  transform: translateX(100%) rotate(90deg);
  font-size: 32px;
}

.icon {
  --size: 1em;
  height: var(--size);
  width: var(--size);
  display: inline-block;
  color: inherit;
  fill: currentColor;
  line-height: 1;
  flex-shrink: 0;
  max-width: initial;
}

.link-fx-1 .icon circle {
  stroke-dasharray: 100;
  stroke-dashoffset: 100;
  transition: stroke-dashoffset .2s;
}

.link-fx-1 .icon line {
  transition: transform .4s;
  transform-origin: 13px 15px;
}

.link-fx-1 .icon line:last-child {
  transform-origin: 19px 15px;
}


/*---------------------------------------
  SECTION               
-----------------------------------------*/

.section-padding {
  padding-top: 100px;
  padding-bottom: 100px;
}

.section-bg {
  background-color: var(--section-bg-color);
}

.section-overlay {
  background-color: var(--dark-color);
  position: absolute;
  top: 0;
  left: 0;
  pointer-events: none;
  width: 100%;
  height: 100%;
  opacity: 0.35;
}

.section-overlay + .container {
  position: relative;
}

.tab-content {
  background-color: var(--white-color);
  border-radius: var(--border-radius-medium);
  padding: 45px;
}

.nav-tabs {
  background-color: var(--section-bg-color);
  border-radius: var(--border-radius-large);
  border-bottom: 0;
  padding: 15px;
}

.nav-tabs .nav-link {
  border-radius: var(--border-radius-large);
  border: 0;
  padding: 15px 25px;
  transition: all 0.3s;
}

.nav-tabs .nav-link:first-child {
  margin-right: 15px;
}

.nav-tabs .nav-item.show .nav-link, 
.nav-tabs .nav-link.active,
.nav-tabs .nav-link:focus, 
.nav-tabs .nav-link:hover {
  background: var(--white-color);
  box-shadow: 0 1rem 3rem rgba(0,0,0,.175);
  color: var(--primary-color);
}

.nav-tabs h5 {
  color: var(--p-color); 
  margin-bottom: 0;
}

.nav-tabs .nav-link.active h5,
.nav-tabs .nav-link:focus h5, 
.nav-tabs .nav-link:hover h5 {
  color: var(--primary-color);
}


/*---------------------------------------
  CUSTOM ICON COLOR               
-----------------------------------------*/
.custom-icon {
  color: var(--secondary-color);
}

/*---------------------------------------
  SEARCH BANNER               
-----------------------------------------*/
/*
.search-bar {
  color: var(--p-color);
  margin-bottom: 24px;
  padding-top: 13px;
  padding-bottom: 13px;
  outline: none;

  
  width: 100%;
  padding: 15px;
  font-size: 16px;
  border: none;
  border-radius: 5px;
  transition: transform 0.3s ease;
  
}*/
.search-bar {
  width: 100%;
  max-width: 50vw;
  padding: 15px;
  font-size: 16px;
  border: none;
  border-radius: 5px;
  outline: none;
  transition: transform 0.3s ease;
  margin-top: 5px;
}

.search-bar:focus {
  transform: scale(1.05);
  box-shadow: 0 0 10px rgba(255, 255, 255, 0.5);
}

/*---------------------------------------
  CUSTOM BUTTON               
-----------------------------------------*/
.custom-btn {
  background: var(--custom-btn-bg-color);
  border: 2px solid transparent;
  border-radius: var(--border-radius-large);
  color: var(--white-color);
  font-size: var(--btn-font-size);
  font-weight: var(--font-weight-bold);
  line-height: normal;
  transition: all 0.3s;
  padding: 10px 20px;
  margin-top: 10px
}

.custom-btn:hover {
  background: var(--custom-btn-bg-hover-color);
  color: var(--white-color);
}

.custom-border-btn {
  background: transparent;
  border: 2px solid var(--custom-btn-bg-color);
  color: var(--custom-btn-bg-color);
}

.navbar-expand-lg .navbar-nav .nav-link.custom-btn:hover,
.custom-border-btn:hover {
  background: var(--custom-btn-bg-hover-color);
  border-color: transparent;
  color: var(--white-color);
}

.custom-btn-bg-white {
  border-color: var(--white-color);
  color: var(--white-color);
}


/*---------------------------------------
  VIDEO              
-----------------------------------------*/
.video-wrap {
  z-index: -100;
}

.custom-video {
  position: absolute;
  top: 0;
  left: 0;
  object-fit: cover;
  width: 100%;
  height: 100%;
}

/*---------------------------------------
  IMAGE              
-----------------------------------------*/

.image-wrap {
  z-index: -100;
}

.custom-image {
  position: absolute;
  top: 0;
  left: 0;
  object-fit: cover;
  width: 100%;
  height: 100%;
}
/*---------------------------------------
  SITE HEADER              
-----------------------------------------*/
.site-header {
  background-color: var(--primary-color);
  padding-top: 12px;
  padding-bottom: 12px;
}


/*---------------------------------------
  NAVIGATION              
-----------------------------------------*/
.sticky-wrapper {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  margin-top: 51px;
}

.sticky-wrapper.is-sticky .navbar {
  background-color: var(--dark-color);
}

.navbar {
  background: transparent;
  z-index: 9;
}

.navbar-brand,
.navbar-brand:hover {
  color: var(--white-color);
  font-size: var(--h5-font-size);
  font-weight: var(--font-weight-bold);
}

.navbar-expand-lg .navbar-nav .nav-link {
  border-radius: var(--border-radius-large);
  margin: 10px;
  padding: 10px 20px;
}

.navbar-nav .nav-link {
  display: inline-block;
  color: var(--white-color);
  font-size: var(--p-font-size);
  font-weight: var(--font-weight-normal);
  position: relative;
  padding-top: 15px;
  padding-bottom: 15px;
}

.navbar-nav .nav-link.active, 
.navbar-nav .nav-link:hover {
  color: #fcdd88;
}

.navbar-toggler {
  border: 0;
  padding: 0;
  cursor: pointer;
  margin: 0;
  width: 30px;
  height: 35px;
  outline: none;
}

.navbar-toggler:focus {
  outline: none;
  box-shadow: none;
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon {
  background: transparent;
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:before,
.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:after {
  transition: top 300ms 50ms ease, -webkit-transform 300ms 350ms ease;
  transition: top 300ms 50ms ease, transform 300ms 350ms ease;
  transition: top 300ms 50ms ease, transform 300ms 350ms ease, -webkit-transform 300ms 350ms ease;
  top: 0;
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:before {
  transform: rotate(45deg);
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon:after {
  transform: rotate(-45deg);
}

.navbar-toggler .navbar-toggler-icon {
  background: var(--white-color);
  transition: background 10ms 300ms ease;
  display: block;
  width: 30px;
  height: 2px;
  position: relative;
}

.navbar-toggler .navbar-toggler-icon:before,
.navbar-toggler .navbar-toggler-icon:after {
  transition: top 300ms 350ms ease, -webkit-transform 300ms 50ms ease;
  transition: top 300ms 350ms ease, transform 300ms 50ms ease;
  transition: top 300ms 350ms ease, transform 300ms 50ms ease, -webkit-transform 300ms 50ms ease;
  position: absolute;
  right: 0;
  left: 0;
  background: var(--white-color);
  width: 30px;
  height: 2px;
  content: '';
}

.navbar-toggler .navbar-toggler-icon::before {
  top: -8px;
}

.navbar-toggler .navbar-toggler-icon::after {
  top: 8px;
}

/*---------------------------------------
  BACKGROUND        
-----------------------------------------*/

.background-section {
  background-image: url('../images/edward-unsplash-blur-vertical-1.jpg');
  background-repeat: repeat;
  background-size: cover;
  position: relative;
  width: 100%;
  height: 100%
}

/*---------------------------------------
  HERO        
-----------------------------------------*/


.hero-section {
  background-image: url('https://i.pinimg.com/736x/b8/d6/e9/b8d6e9ab8d48c6336ae16de147871a89.jpg');
  background-position: center; /* 이미지 중앙에 위치 */
  position: relative;
  overflow: hidden;
  padding-top: 100px;
  height: calc(100vh - 51px);
}

.hero-section small {
  color: var(--white-color);
  text-transform: uppercase;
}

.hero-section .section-overlay {
  z-index: 2;
  opacity: 0.45;
}

.hero-section .container {
  position: relative;
  z-index: 2;
  height: 100%;
  padding-bottom: 50px;
}

.hero-section .container .row {
  height: 100%;
}


/*---------------------------------------
  ABOUT              
-----------------------------------------*/
.about-section {
  background-image: url('../images/edward-unsplash-blur.jpg');
  
  background-color:none;
  
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  width: 100%;
  height: 100%
}

.about-section-1 {
  background-image: url('../images/edward-unsplash-blur-reverse.jpg');
  
  background-color:none;
  
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  width: 100%;
  height: 100%
}

.about-thumb {
  display: flex;               /* Flexbox 활성화 */
  flex-direction: column;      /* 아이템을 세로로 정렬 */
  justify-content: flex-start; /* 세로 정렬 시작점 고정 */
  align-items: center;         /* 수평 중앙 정렬 */
  flex: 1 1 calc(50% - 20px);  /* 반응형 크기: 50% 너비에서 여백 차감 */
  margin-bottom: 10px;                /* 요소 간 간격 */
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  border-radius: 8px;
  overflow: hidden; 
  position: relative;
}

.about-image-wrap{
  width: 100%;
  aspect-ratio: 4/4;
  display: block;
  overflow: hidden;
}
.about-image {
  width: 100%;                  /* 이미지의 가로를 컨테이너에 맞춤 */
  height: 100%;                 /* 이미지의 세로를 컨테이너에 맞춤 */
  object-fit: cover;            /* 이미지 비율 유지하며 컨테이너에 맞춤 */
  object-position: center; 
  overflow: hidden;
  /* 이미지의 중앙을 기준으로 표시 */
}

.about-thumb:hover .about-hover {
  transform: translateY(0);
  opacity: 1;
}

.about-hover {
  background-color: var(--primary-color);
  background-color: rgba(248, 203, 46, 0.75);
  border-radius: 8px;
  backdrop-filter: blur(5px) saturate(180%);
  -webkit-backdrop-filter: blur(5px) saturate(180%);
  height: 100%;
  margin: 0px;
  padding: 35px;
  transition: all 0.5s ease;
  transform: translateY(100%);
  text-align: center;
  object-position: center;
  position: absolute;
  bottom: 0;
  right: 0;
  left: 0;
  opacity: 0;
    /* Flexbox 설정 */
  display: flex;                /* Flexbox 활성화 */
  justify-content: center;      /* 가로 정렬: 중앙 */
  align-items: center;          /* 세로 정렬: 중앙 */
}

.about-hover h1 a {
  object-position: center;
}

.about-hover p strong {
  color: var(--white-color);
  display: inline-block;
  min-width: 180px;
  margin-right: 20px;
}

.about-hover p a {
  color: var(--secondary-color);
}

.about-hover p a:hover {
  color: var(--white-color);
}

.about-hover hr {
  margin: 1.5rem 0;
}

.services-info {
  position: relative;
  top: 75px; /* 원하는 만큼 아래로 이동 */
}

.about-text-wrap {
  position: relative;
  top: 75px;
}

.about-text-icon {
  background: var(--primary-color);
  border-radius: 100%;
  font-size: var(--h3-font-size);
  width: 70px;
  height: 70px;
  line-height: 70px;
  text-align: center;
}

.about-text-info {
  backdrop-filter: blur(5px) saturate(180%);
  -webkit-backdrop-filter: blur(5px) saturate(180%);
  background-color: rgba(255, 255, 255, 0.75);
  border-radius: var(--border-radius-medium);
  border: 1px solid rgba(209, 213, 219, 0.3);
  position: absolute;
  bottom: 0;
  right: 0;
  left: 0;
  margin: 20px;
  padding: 35px;
}

.about-section .row {
  position: relative;
  z-index: 2;
  height: 100%;
  padding-bottom: 50px;
}



/*---------------------------------------
  TICKET               
-----------------------------------------*/
.ticket-section {
  background-image: url('../images/nicholas-green-unsplash-blur.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  padding-top: 130px;
}

.ticket-form {
  background: var(--white-color);
  border-radius: var(--border-radius-medium);
  padding: 50px;
}

.ticket-form .form-check {
  position: relative;
  min-height: 52px;
  padding-left: 35px;
}

.ticket-form .form-check .form-check-label {
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  margin-top: 12px;
  margin-left: 35px;
  width: 100%;
  height: 100%;
}


/*---------------------------------------
  CATEGORY              
-----------------------------------------*/
.category-column {
  flex: 25%;                /* 부모 컨테이너의 절반 너비 */
  max-width: 25%;           /* 최대 너비 49.9% */
  margin: 0 ;             /* 칼럼 간 간격 */
  padding: 0; 
  flex-wrap: wrap;
  flex-direction: column;
  align-items: flex-start;
}

.category-thumb {
  display: flex;               /* Flexbox 활성화 */
  flex-direction: column;      /* 아이템을 세로로 정렬 */
  justify-content: flex-start; /* 세로 정렬 시작점 고정 */
  align-items: center;         /* 수평 중앙 정렬 */
  flex: 1 1 calc(50% - 20px);  /* 반응형 크기: 50% 너비에서 여백 차감 */
  margin-bottom: 10px;                /* 요소 간 간격 */
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  border-radius: 8px;
  overflow: hidden; 
  position: relative;
}
.category-image-wrap{
  width: 100%;
  aspect-ratio: 4/5;
  display: block;
  overflow: hidden;
}
.category-image {
  width: 100%;                  /* 이미지의 가로를 컨테이너에 맞춤 */
  height: 100%;                 /* 이미지의 세로를 컨테이너에 맞춤 */
  object-fit: cover;            /* 이미지 비율 유지하며 컨테이너에 맞춤 */
  object-position: center;      /* 이미지의 중앙을 기준으로 표시 */
}

.category-thumb:hover .category-hover {
  transform: translateY(0);
  opacity: 1;
}

.category-hover {
  background-color: var(--primary-color);
  background-color: rgba(248, 203, 46, 0.75);
  border-radius: 8px;
  backdrop-filter: blur(5px) saturate(180%);
  -webkit-backdrop-filter: blur(5px) saturate(180%);
  height: 100%;
  margin: 0px;
  padding: 35px;
  transition: all 0.5s ease;
  transform: translateY(100%);
  text-align: center;
  object-position: center;
  position: absolute;
  bottom: 0;
  right: 0;
  left: 0;
  opacity: 0;
    /* Flexbox 설정 */
  display: flex;                /* Flexbox 활성화 */
  justify-content: center;      /* 가로 정렬: 중앙 */
  align-items: center;          /* 세로 정렬: 중앙 */
}

.category-hover h1 a {
  object-position: center;
}

.category-hover p strong {
  color: var(--white-color);
  display: inline-block;
  min-width: 180px;
  margin-right: 20px;
}

.category-hover p a {
  color: var(--secondary-color);
}

.category-hover p a:hover {
  color: var(--white-color);
}

.category-hover hr {
  margin: 1.5rem 0;
}

/*---------------------------------------
  BRANDS            
-----------------------------------------*/
  .brand-section {
    
    background-color:none;
    
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    width: 100%;
    height: 100%
  }

  .brands-row {
    display: flex;
    flex-wrap: wrap;
    padding:0;
        /* Flexbox 설정 */
    justify-content: center;      /* 가로 정렬: 중앙 */
    align-items: center;  
    flex: 1 1 calc(50% - 20px);  /* 반응형 크기: 50% 너비에서 여백 차감 */
  }
  
  /* Create four equal columns that sits next to each other */
  .brands-column {
    flex: 25%;
    max-width: 25%;
    padding: 0 1%;
  }
  .brands-thumb {
    display: flex;               /* Flexbox 활성화 */
    flex-direction: column;      /* 아이템을 세로로 정렬 */
    justify-content: flex-start; /* 세로 정렬 시작점 고정 */
    align-items: center;         /* 수평 중앙 정렬 */
    flex: 1 1 calc(50% - 20px);  /* 반응형 크기: 50% 너비에서 여백 차감 */
    margin-bottom: 5%;                /* 요소 간 간격 */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    overflow: hidden; 
    position: relative;
  }
  .brands-image-wrap{
    width: 100%;
    aspect-ratio: 4/5;
    display: block;
    overflow: hidden;
  }
  .brands-image {
    width: 100%;                  /* 이미지의 가로를 컨테이너에 맞춤 */
    height: 100%;                 /* 이미지의 세로를 컨테이너에 맞춤 */
    object-fit: cover;            /* 이미지 비율 유지하며 컨테이너에 맞춤 */
    object-position: center;      /* 이미지의 중앙을 기준으로 표시 */
  }
  
  .brands-thumb:hover .brands-hover {
    transform: translateY(0);
    opacity: 1;
  }
  
  .brands-hover {
    background-color: var(--primary-color);
    background-color: rgba(248, 203, 46, 0.75);
    border-radius: 8px;
    backdrop-filter: blur(5px) saturate(180%);
    -webkit-backdrop-filter: blur(5px) saturate(180%);
    height: 100%;
    margin: 0px;
    padding: 35px;
    transition: all 0.5s ease;
    transform: translateY(100%);
    text-align: center;
    object-position: center;
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
    opacity: 0;
      /* Flexbox 설정 */
    display: flex;                /* Flexbox 활성화 */
    justify-content: center;      /* 가로 정렬: 중앙 */
    align-items: center;          /* 세로 정렬: 중앙 */
  }
  
  .brands-hover h1 a {
    object-position: center;
  }
  
  .brands-hover p strong {
    color: var(--white-color);
    display: inline-block;
    min-width: 180px;
    margin-right: 20px;
  }
  
  .brands-hover p a {
    color: var(--secondary-color);
  }
  
  .brands-hover p a:hover {
    color: var(--white-color);
  }
  
  .brands-hover hr {
    margin: 1.5rem 0;
  }

  .brands-column img {
    width: 100%;                  /* 이미지의 가로를 컨테이너에 맞춤 */
    height: 100%;                 /* 이미지의 세로를 컨테이너에 맞춤 */
    object-fit: cover;            /* 이미지 비율 유지하며 컨테이너에 맞춤 */
    object-position: center;      /* 이미지의 중앙을 기준으로 표시 */
  }

/*---------------------------------------
  BLOG              
-----------------------------------------*/

/* Add a gray background color with some padding */
.blog_body {
  /*font-family: Arial;*/
  padding: 20px;
  background: white;
}

/* Header/Blog Title */
.blog_header {
  padding: 20px 20px 20px 20px;
  font-size: 45px;
  font-weight: bold;
  text-align: center;
  background: white;
  justify-content: center;     /* 가로 방향으로 중앙 정렬 */
  align-items: center;  
}

/* Create two unequal columns that floats next to each other */
/* Left column */

.blog_leftcolumn {   
  float: left;
  width: 66.66%;
  color: white;
}

/* Right column */
.blog_rightcolumn {
  float: left;
  width: 33.33%;
  padding-left: 20px;
  color: white;
  display: flex;
  flex-direction: column;
}

/* Fake image */
.blog_fakeimg {
  background-color: #aaa;
  width: 100%;
  padding: 20px;
}

.blog-image-wrap{
  width: 100%;
  aspect-ratio: 4/3;
  display: block;
  overflow: hidden;
  position: relative;
  margin-bottom: 5px;
}
.blog-image {
  width: 100%;                  /* 이미지의 가로를 컨테이너에 맞춤 */
  object-fit: cover;            /* 이미지 비율 유지하며 컨테이너에 맞춤 */
  object-position: center;      /* 이미지의 중앙을 기준으로 표시 */
}

/* Add a card effect for articles */
.blog_card {
   background-color: none;

}
.blog_card p {
  margin-top: 0px; /* 텍스트 간의 여백 줄임 */
  margin-bottom: 10px; /* 하단 여백 조정 */
}
/* Clear floats after the columns */
.blog_row:after {
  content: "";
  display: table;
  clear: both;
  
}


/*fragrantica*/

.blog_card {
  background: #fefefe;
  border: none;
  border-radius: 0;
  box-shadow: none;
  color: #0a0a0a;
  display: flex;
  padding: 20px;
  margin-top: 20px;

  flex-direction: column;
  flex-grow: 1;
  margin-bottom: 1.2rem;
  overflow: hidden;
}

.blog_img-holder {
  margin: 0;
  padding-top: 52.5%;
  display: block;
  overflow: hidden;
  position: relative;
  width: 100%;
}

.blog_img-absolute-100 {
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  position: absolute;
  object-position: center;
  object-fit: cover;
  width: 100%;
}

.blog_card-divider {
  background: #fefefe;
  display: flex
;
  flex: 0 1 auto;
  padding: 1rem;
}

.blog_link-span {
  display: block;
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
  z-index: 1;
}

.blog_card-section {
  flex: 1 0 auto;
  padding: 1rem;
}

.blog_card>:last-child {
  margin-bottom: 0;
}
.blog_fr-news-footer {
  color: #dc143c;
  font-size: small;
}
.blog_flex-container {
  display: flex
;
}
.blog_align-justify {
  justify-content: space-between;
}

/*블로그 날개부분*/
.latest-list {
  display: flex; /* Flexbox로 이미지와 텍스트 정렬 */
  align-items: center; /* 세로 중앙 정렬 */
  background: #fff;
  border-radius: 0.5em;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  padding: 10px;
  margin: 10px 0;
  width: 100%; /* 전체 블록 너비 */
}

.product-image {
  width: 60px;
  height: 64px;
  margin-right: 10px; /* 이미지와 텍스트 사이 간격 */
  border-radius: 4px; /* 약간의 둥근 테두리 */
  flex-shrink: 0; /* 이미지 크기 유지 */
  flex-direction: row;
}

.product-details {
  flex: 1; /* 텍스트 영역이 남은 공간 차지 */
  align-items: center;
}

.product-link {
  text-decoration: none; /* 링크 밑줄 제거 */
  color: inherit;
  display: block;
  position: relative;
  z-index: 10;
}

.brand {
  font-weight: bold;
  font-size: 1em;
  color: #000; /* 브랜드 이름 색상 */
  margin-bottom: 4px;
  display: inline-block; /* 한 줄에 위치 */
}

.product-name {
  color: #0099cc; /* 제품 이름 강조 색상 */
  margin-bottom: 4px;
  font-size: 1em;
  text-align: center;
  display: inline-block; /* 한 줄에 위치 */
}

.avatar-tip {
  font-size: 0.875rem;
  color: #666; /* 작성자 이름 색상 */
  margin-top: 5px;
  display: flex;
  align-items: center; /* 텍스트와 아이콘 정렬 */
  margin-left: auto;
}

.author-avatar {
  width: 20px;
  height: 20px;
  border-radius: 50%; /* 원형 아이콘 */
  margin-left: 5px;
}




/*---------------------------------------
  SLIDER               
-----------------------------------------*/



.swiper {
  width: 100%;
  height: 150%;
}

.swiper-slide {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  flex: 1 1 calc((100/3)-20px);
  margin-bottom: 10px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  border-radius: 8px;
  overflow: hidden;
  position: relative;
  text-align: center;
  font-size: 18px;
}

.swiper-image-wrap {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  flex: 1 1 75%;
  width: 100%;
  aspect-ratio: 2 / 3;
  display: block;
  overflow: hidden;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.swiper-hover {
  background-color: var(--primary-color);
  background-color: rgba(248, 203, 46, 0.75);
  border-radius: 8px;
  backdrop-filter: blur(5px) saturate(180%);
  -webkit-backdrop-filter: blur(5px) saturate(180%);
  height: 100%;
  margin: 0px;
  padding: 35px;
  transition: all 0.5s ease;
  transform: translateY(100%);
  text-align: center;
  object-position: center;
  position: absolute;
  bottom: 0;
  right: 0;
  left: 0;
  opacity: 0;
  display: flex
;
flex-direction: column;
  justify-content: center;
  align-items: center;
}

.swiper-hover h1 a {
  object-position: center;
}

.swiper-hover p strong {
  color: var(--white-color);
  display: inline-block;
  min-width: 180px;
  margin-right: 20px;
}

.swiper-hover p a {
  color: var(--secondary-color);
}

.swiper-hover p a:hover {
  color: var(--white-color);
}

.swiper-hover hr {
  margin: 1.5rem 0;
}

.swiper-image-wrap:hover .swiper-hover {
  opacity: 1; /* hover 상태에서 보이도록 설정 */
  transform: translateY(0); /* 원래 위치로 이동 */
}

.swiper-pagination-bullet {
  background-color: white !important; /* 색상을 강제로 변경 */
  opacity: 1 !important; 
}
.swiper-pagination-bullet-active {
  background-color: #3B1C32 !important;      /* 활성화된 bullet 색상 */
  opacity: 1 !important;                 /* 활성화된 bullet 투명도 */
}
/*---------------------------------------
  CONTACT               
-----------------------------------------*/
.google-map {
  border-radius: var(--border-radius-medium);
}


/*---------------------------------------
  CUSTOM FORM               
-----------------------------------------*/
.custom-form .form-control {
  color: var(--p-color);
  margin-bottom: 24px;
  padding-top: 13px;
  padding-bottom: 13px;
  outline: none;
}

.custom-form button[type="submit"] {
  background: var(--custom-btn-bg-color);
  border: none;
  border-radius: var(--border-radius-large);
  color: var(--white-color);
  font-size: var(--p-font-size);
  font-weight: var(--font-weight-medium);
  transition: all 0.3s;
  margin-bottom: 0;
}

.custom-form button[type="submit"]:hover,
.custom-form button[type="submit"]:focus {
  background: var(--custom-btn-bg-hover-color);
  border-color: transparent;
}


/*---------------------------------------
  SITE FOOTER              
-----------------------------------------*/
.site-footer {
  background-color: var(--dark-color);
  position: relative;
  overflow: hidden;
  padding-bottom: 30px;
}

.site-footer-top {
  background-color: var(--secondary-color);
  background-image: url('../images/nainoa-shizuru-NcdG9mK3PBY-unsplash.jpg');
  background-repeat: no-repeat;
  margin-bottom: 70px;
  padding-top: 30px;
  padding-bottom: 30px;
}

.site-footer-bottom {
  border-top: 1px solid #1f1c1c;
  margin-top: 60px;
}

.site-footer-title {
  color: var(--primary-color); 
}

.site-footer-link,
.copyright-text {
  color: var(--white-color);
}

.site-footer-links {
  padding-left: 0;
}

.site-footer-link-item {
  list-style: none;
  display: inline-block;
  margin-right: 15px;
}

.copyright-text {
  font-size: var(--copyright-font-size);
}


/*---------------------------------------
  SOCIAL ICON               
-----------------------------------------*/
.social-icon {
  margin: 0;
  padding: 0;
}

.social-icon-item {
  list-style: none;
  display: inline-block;
  vertical-align: top;
}

.social-icon-link {
  background: var(--secondary-color);
  border-radius: var(--border-radius-large);
  color: var(--white-color);
  font-size: var(--copyright-font-size);
  display: block;
  margin-right: 10px;
  text-align: center;
  width: 35px;
  height: 35px;
  line-height: 36px;
  transition: background 0.2s, color 0.2s;
}

.social-icon-link:hover {
  background: var(--primary-color);
  color: var(--white-color);
}

.social-icon-link span {
  display: block;
}

.social-icon-link span:hover::before{
  animation: spinAround 2s linear infinite;
}

@keyframes spinAround {
  from {
    transform: rotate(0deg)
  }
  to {
    transform: rotate(360deg);
  }
}



/*---------------------------------------
  RESPONSIVE STYLES               
-----------------------------------------*/
@media screen and (max-width: 991px) {
  h1 {
    font-size: 62px;
  }

  h2 {
    font-size: 36px;
  }

  h3 {
    font-size: 32px;
  }

  h4 {
    font-size: 28px;
  }

  h5 {
    font-size: 20px;
  }

  h6 {
    font-size: 18px;
  }

  .section-padding {
    padding-top: 100px;
    padding-bottom: 100px;
  }
  
  .navbar {
    background-color: var(--dark-color);
  }

  .navbar-expand-lg .navbar-nav {
    padding-bottom: 30px;
  }

  .navbar-expand-lg .navbar-nav .nav-link {
    padding: 0;
  }

  .hero-section {
    padding-top: 150px;
  }

  .pricing-thumb {
    padding: 35px;
  }

  .schedule-table h3 {
    font-size: 22px;
  }

  .schedule-table th {
    padding: 20px;
  }

  .schedule-table tr, 
  .schedule-table td {
    padding: 25px;
  }

  .ticket-section {
    padding-top: 130px;
  }

  .ticket-form {
    padding: 30px;
  }
  .category-column{
    flex:25%;
    max-width:1;
  }
  .category-thumb{
    flex: 50%;
    max-width:1;
  }
  .brands-column{
    flex:50%;
    max-width:100%;
  }
  .brands-thumb{
    flex: 50%;
    max-width:1;
  }
}

@media screen and (max-width: 800px) {

}

/* Responsive layout - makes the two columns stack on top of each other instead of next to each other */

@media screen and (max-width: 767px) {
  .category-container{
    flex-direction: column; 
    justify-content: center;
  }
  .custom-btn {
    font-size: 14px;
    padding: 10px 20px;
  }
  .category-column{
    flex:50%;
    max-width:100%;
  }
  .category-thumb{
    flex:50%;
  }
  .brands-column{
    flex:50%;
    max-width:100%;
  }
  .brands-thumb{
    flex:50%;
  }
  .blog_leftcolumn, .blog_rightcolumn {   
    width: 100%;
    padding: 0;
  }
}


@media screen and (max-width: 500px) {
  h1 {
    font-size: 52px;
  }

  h2 {
    font-size: 28px;
  }

  h3 {
    font-size: 26px;
  }

  h4 {
    font-size: 22px;
  }

  h5 {
    font-size: 20px;
  }

  .category-column{
    flex:100%;
    max-width:100%;
  }

  .brands-column{
    flex:100%;
    max-width:100%;
  }
 .swiper-slide{
  flex-direction: column;
  flex: 1 1 100%;
  width: 100%

 }
}

